HUGO-GEN-CHROMASTYLES(1)

NAME

hugo-gen-chromastyles - Generate CSS stylesheet for the Chroma code highlighter

SYNOPSIS

hugo gen chromastyles [flags] [args]

DESCRIPTION

Generate CSS stylesheet for the Chroma code highlighter for a given style. This stylesheet is needed if markup.highlight.noClasses is disabled in config.

See https://xyproto.github.io/splash/docs/all.html for a preview of the available styles

OPTIONS

-h, --help[=false]
    help for chromastyles

--highlightStyle=""
    foreground and background colors for highlighted lines, e.g. --highlightStyle "#fff000 bg:#000fff"

--lineNumbersInlineStyle=""
    foreground and background colors for inline line numbers, e.g. --lineNumbersInlineStyle "#fff000 bg:#000fff"

--lineNumbersTableStyle=""
    foreground and background colors for table line numbers, e.g. --lineNumbersTableStyle "#fff000 bg:#000fff"

--style="friendly"
    highlighter style (see https://xyproto.github.io/splash/docs/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO

hugo-gen(1)